1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. datafactory
  6. ManagedPrivateEndpoint
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.20.0
published on Thursday, Jul 9, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.20.0
published on Thursday, Jul 9, 2026 by Pulumi

    Managed private endpoint resource type.

    Uses Azure REST API version 2018-06-01. In version 2.x of the Azure Native provider, it used API version 2018-06-01.

    Example Usage

    ManagedVirtualNetworks_Create

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var managedPrivateEndpoint = new AzureNative.DataFactory.ManagedPrivateEndpoint("managedPrivateEndpoint", new()
        {
            FactoryName = "exampleFactoryName",
            ManagedPrivateEndpointName = "exampleManagedPrivateEndpointName",
            ManagedVirtualNetworkName = "exampleManagedVirtualNetworkName",
            Properties = new AzureNative.DataFactory.Inputs.ManagedPrivateEndpointArgs
            {
                Fqdns = new() { },
                GroupId = "blob",
                PrivateLinkResourceId = "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage",
            },
            ResourceGroupName = "exampleResourceGroup",
        });
    
    });
    
    package main
    
    import (
    	datafactory "github.com/pulumi/pulumi-azure-native-sdk/datafactory/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datafactory.NewManagedPrivateEndpoint(ctx, "managedPrivateEndpoint", &datafactory.ManagedPrivateEndpointArgs{
    			FactoryName:                pulumi.String("exampleFactoryName"),
    			ManagedPrivateEndpointName: pulumi.String("exampleManagedPrivateEndpointName"),
    			ManagedVirtualNetworkName:  pulumi.String("exampleManagedVirtualNetworkName"),
    			Properties: &datafactory.ManagedPrivateEndpointTypeArgs{
    				Fqdns:                 pulumi.StringArray{},
    				GroupId:               pulumi.String("blob"),
    				PrivateLinkResourceId: pulumi.String("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage"),
    			},
    			ResourceGroupName: pulumi.String("exampleResourceGroup"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_datafactory_managedprivateendpoint" "managedPrivateEndpoint" {
      factory_name                  = "exampleFactoryName"
      managed_private_endpoint_name = "exampleManagedPrivateEndpointName"
      managed_virtual_network_name  = "exampleManagedVirtualNetworkName"
      properties = {
        fqdns                    = []
        group_id                 = "blob"
        private_link_resource_id = "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage"
      }
      resource_group_name = "exampleResourceGroup"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.datafactory.ManagedPrivateEndpoint;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var managedPrivateEndpoint = new ManagedPrivateEndpoint("managedPrivateEndpoint", ManagedPrivateEndpointArgs.builder()
                .factoryName("exampleFactoryName")
                .managedPrivateEndpointName("exampleManagedPrivateEndpointName")
                .managedVirtualNetworkName("exampleManagedVirtualNetworkName")
                .properties(ManagedPrivateEndpointArgs.builder()
                    .fqdns()
                    .groupId("blob")
                    .privateLinkResourceId("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage")
                    .build())
                .resourceGroupName("exampleResourceGroup")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const managedPrivateEndpoint = new azure_native.datafactory.ManagedPrivateEndpoint("managedPrivateEndpoint", {
        factoryName: "exampleFactoryName",
        managedPrivateEndpointName: "exampleManagedPrivateEndpointName",
        managedVirtualNetworkName: "exampleManagedVirtualNetworkName",
        properties: {
            fqdns: [],
            groupId: "blob",
            privateLinkResourceId: "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage",
        },
        resourceGroupName: "exampleResourceGroup",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    managed_private_endpoint = azure_native.datafactory.ManagedPrivateEndpoint("managedPrivateEndpoint",
        factory_name="exampleFactoryName",
        managed_private_endpoint_name="exampleManagedPrivateEndpointName",
        managed_virtual_network_name="exampleManagedVirtualNetworkName",
        properties={
            "fqdns": [],
            "group_id": "blob",
            "private_link_resource_id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage",
        },
        resource_group_name="exampleResourceGroup")
    
    resources:
      managedPrivateEndpoint:
        type: azure-native:datafactory:ManagedPrivateEndpoint
        properties:
          factoryName: exampleFactoryName
          managedPrivateEndpointName: exampleManagedPrivateEndpointName
          managedVirtualNetworkName: exampleManagedVirtualNetworkName
          properties:
            fqdns: []
            groupId: blob
            privateLinkResourceId: /subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.Storage/storageAccounts/exampleBlobStorage
          resourceGroupName: exampleResourceGroup
    

    Create ManagedPrivateEndpoint Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ManagedPrivateEndpoint(name: string, args: ManagedPrivateEndpointArgs, opts?: CustomResourceOptions);
    @overload
    def ManagedPrivateEndpoint(resource_name: str,
                               args: ManagedPrivateEndpointInitArgs,
                               opts: Optional[ResourceOptions] = None)
    
    @overload
    def ManagedPrivateEndpoint(resource_name: str,
                               opts: Optional[ResourceOptions] = None,
                               factory_name: Optional[str] = None,
                               managed_virtual_network_name: Optional[str] = None,
                               properties: Optional[ManagedPrivateEndpointArgs] = None,
                               resource_group_name: Optional[str] = None,
                               managed_private_endpoint_name: Optional[str] = None)
    func NewManagedPrivateEndpoint(ctx *Context, name string, args ManagedPrivateEndpointArgs, opts ...ResourceOption) (*ManagedPrivateEndpoint, error)
    public ManagedPrivateEndpoint(string name, ManagedPrivateEndpointArgs args, CustomResourceOptions? opts = null)
    public ManagedPrivateEndpoint(String name, ManagedPrivateEndpointArgs args)
    public ManagedPrivateEndpoint(String name, ManagedPrivateEndpointArgs args, CustomResourceOptions options)
    
    type: azure-native:datafactory:ManagedPrivateEndpoint
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_datafactory_managedprivateendpoint" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args ManagedPrivateEndpointArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ManagedPrivateEndpointInitArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ManagedPrivateEndpointArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ManagedPrivateEndpointArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ManagedPrivateEndpointArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var azure_nativeManagedPrivateEndpointResource = new AzureNative.DataFactory.ManagedPrivateEndpoint("azure-nativeManagedPrivateEndpointResource", new()
    {
        FactoryName = "string",
        ManagedVirtualNetworkName = "string",
        Properties = new AzureNative.DataFactory.Inputs.ManagedPrivateEndpointArgs
        {
            Fqdns = new[]
            {
                "string",
            },
            GroupId = "string",
            PrivateLinkResourceId = "string",
        },
        ResourceGroupName = "string",
        ManagedPrivateEndpointName = "string",
    });
    
    example, err := datafactory.NewManagedPrivateEndpoint(ctx, "azure-nativeManagedPrivateEndpointResource", &datafactory.ManagedPrivateEndpointArgs{
    	FactoryName:               pulumi.String("string"),
    	ManagedVirtualNetworkName: pulumi.String("string"),
    	Properties: &datafactory.ManagedPrivateEndpointTypeArgs{
    		Fqdns: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    		GroupId:               pulumi.String("string"),
    		PrivateLinkResourceId: pulumi.String("string"),
    	},
    	ResourceGroupName:          pulumi.String("string"),
    	ManagedPrivateEndpointName: pulumi.String("string"),
    })
    
    resource "azure-native_datafactory_managedprivateendpoint" "azure-nativeManagedPrivateEndpointResource" {
      factory_name                 = "string"
      managed_virtual_network_name = "string"
      properties = {
        fqdns                    = ["string"]
        group_id                 = "string"
        private_link_resource_id = "string"
      }
      resource_group_name           = "string"
      managed_private_endpoint_name = "string"
    }
    
    var azure_nativeManagedPrivateEndpointResource = new com.pulumi.azurenative.datafactory.ManagedPrivateEndpoint("azure-nativeManagedPrivateEndpointResource", com.pulumi.azurenative.datafactory.ManagedPrivateEndpointArgs.builder()
        .factoryName("string")
        .managedVirtualNetworkName("string")
        .properties(com.pulumi.azurenative.datafactory.inputs.ManagedPrivateEndpointArgs.builder()
            .fqdns("string")
            .groupId("string")
            .privateLinkResourceId("string")
            .build())
        .resourceGroupName("string")
        .managedPrivateEndpointName("string")
        .build());
    
    azure_native_managed_private_endpoint_resource = azure_native.datafactory.ManagedPrivateEndpoint("azure-nativeManagedPrivateEndpointResource",
        factory_name="string",
        managed_virtual_network_name="string",
        properties={
            "fqdns": ["string"],
            "group_id": "string",
            "private_link_resource_id": "string",
        },
        resource_group_name="string",
        managed_private_endpoint_name="string")
    
    const azure_nativeManagedPrivateEndpointResource = new azure_native.datafactory.ManagedPrivateEndpoint("azure-nativeManagedPrivateEndpointResource", {
        factoryName: "string",
        managedVirtualNetworkName: "string",
        properties: {
            fqdns: ["string"],
            groupId: "string",
            privateLinkResourceId: "string",
        },
        resourceGroupName: "string",
        managedPrivateEndpointName: "string",
    });
    
    type: azure-native:datafactory:ManagedPrivateEndpoint
    properties:
        factoryName: string
        managedPrivateEndpointName: string
        managedVirtualNetworkName: string
        properties:
            fqdns:
                - string
            groupId: string
            privateLinkResourceId: string
        resourceGroupName: string
    

    ManagedPrivateEndpoint Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ManagedPrivateEndpoint resource accepts the following input properties:

    FactoryName string
    The factory name.
    ManagedVirtualNetworkName string
    Managed virtual network name
    Properties Pulumi.AzureNative.DataFactory.Inputs.ManagedPrivateEndpoint
    Managed private endpoint properties.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    ManagedPrivateEndpointName string
    Managed private endpoint name
    FactoryName string
    The factory name.
    ManagedVirtualNetworkName string
    Managed virtual network name
    Properties ManagedPrivateEndpointTypeArgs
    Managed private endpoint properties.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    ManagedPrivateEndpointName string
    Managed private endpoint name
    factory_name string
    The factory name.
    managed_virtual_network_name string
    Managed virtual network name
    properties object
    Managed private endpoint properties.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    managed_private_endpoint_name string
    Managed private endpoint name
    factoryName String
    The factory name.
    managedVirtualNetworkName String
    Managed virtual network name
    properties ManagedPrivateEndpoint
    Managed private endpoint properties.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    managedPrivateEndpointName String
    Managed private endpoint name
    factoryName string
    The factory name.
    managedVirtualNetworkName string
    Managed virtual network name
    properties ManagedPrivateEndpoint
    Managed private endpoint properties.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    managedPrivateEndpointName string
    Managed private endpoint name
    factory_name str
    The factory name.
    managed_virtual_network_name str
    Managed virtual network name
    properties ManagedPrivateEndpointArgs
    Managed private endpoint properties.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    managed_private_endpoint_name str
    Managed private endpoint name
    factoryName String
    The factory name.
    managedVirtualNetworkName String
    Managed virtual network name
    properties Property Map
    Managed private endpoint properties.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    managedPrivateEndpointName String
    Managed private endpoint name

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ManagedPrivateEndpoint resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.DataFactory.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    etag str
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    ConnectionStatePropertiesResponse, ConnectionStatePropertiesResponseArgs

    The connection state of a managed private endpoint
    ActionsRequired string
    The actions required on the managed private endpoint
    Description string
    The managed private endpoint description
    Status string
    The approval status
    ActionsRequired string
    The actions required on the managed private endpoint
    Description string
    The managed private endpoint description
    Status string
    The approval status
    actions_required string
    The actions required on the managed private endpoint
    description string
    The managed private endpoint description
    status string
    The approval status
    actionsRequired String
    The actions required on the managed private endpoint
    description String
    The managed private endpoint description
    status String
    The approval status
    actionsRequired string
    The actions required on the managed private endpoint
    description string
    The managed private endpoint description
    status string
    The approval status
    actions_required str
    The actions required on the managed private endpoint
    description str
    The managed private endpoint description
    status str
    The approval status
    actionsRequired String
    The actions required on the managed private endpoint
    description String
    The managed private endpoint description
    status String
    The approval status

    ManagedPrivateEndpoint, ManagedPrivateEndpointArgs

    Properties of a managed private endpoint
    Fqdns List<string>
    Fully qualified domain names
    GroupId string
    The groupId to which the managed private endpoint is created
    PrivateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    Fqdns []string
    Fully qualified domain names
    GroupId string
    The groupId to which the managed private endpoint is created
    PrivateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    fqdns list(string)
    Fully qualified domain names
    group_id string
    The groupId to which the managed private endpoint is created
    private_link_resource_id string
    The ARM resource ID of the resource to which the managed private endpoint is created
    fqdns List<String>
    Fully qualified domain names
    groupId String
    The groupId to which the managed private endpoint is created
    privateLinkResourceId String
    The ARM resource ID of the resource to which the managed private endpoint is created
    fqdns string[]
    Fully qualified domain names
    groupId string
    The groupId to which the managed private endpoint is created
    privateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    fqdns Sequence[str]
    Fully qualified domain names
    group_id str
    The groupId to which the managed private endpoint is created
    private_link_resource_id str
    The ARM resource ID of the resource to which the managed private endpoint is created
    fqdns List<String>
    Fully qualified domain names
    groupId String
    The groupId to which the managed private endpoint is created
    privateLinkResourceId String
    The ARM resource ID of the resource to which the managed private endpoint is created

    ManagedPrivateEndpointResponse, ManagedPrivateEndpointResponseArgs

    Properties of a managed private endpoint
    IsReserved bool
    Denotes whether the managed private endpoint is reserved
    ProvisioningState string
    The managed private endpoint provisioning state
    ConnectionState Pulumi.AzureNative.DataFactory.Inputs.ConnectionStatePropertiesResponse
    The managed private endpoint connection state
    Fqdns List<string>
    Fully qualified domain names
    GroupId string
    The groupId to which the managed private endpoint is created
    PrivateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    IsReserved bool
    Denotes whether the managed private endpoint is reserved
    ProvisioningState string
    The managed private endpoint provisioning state
    ConnectionState ConnectionStatePropertiesResponse
    The managed private endpoint connection state
    Fqdns []string
    Fully qualified domain names
    GroupId string
    The groupId to which the managed private endpoint is created
    PrivateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    is_reserved bool
    Denotes whether the managed private endpoint is reserved
    provisioning_state string
    The managed private endpoint provisioning state
    connection_state object
    The managed private endpoint connection state
    fqdns list(string)
    Fully qualified domain names
    group_id string
    The groupId to which the managed private endpoint is created
    private_link_resource_id string
    The ARM resource ID of the resource to which the managed private endpoint is created
    isReserved Boolean
    Denotes whether the managed private endpoint is reserved
    provisioningState String
    The managed private endpoint provisioning state
    connectionState ConnectionStatePropertiesResponse
    The managed private endpoint connection state
    fqdns List<String>
    Fully qualified domain names
    groupId String
    The groupId to which the managed private endpoint is created
    privateLinkResourceId String
    The ARM resource ID of the resource to which the managed private endpoint is created
    isReserved boolean
    Denotes whether the managed private endpoint is reserved
    provisioningState string
    The managed private endpoint provisioning state
    connectionState ConnectionStatePropertiesResponse
    The managed private endpoint connection state
    fqdns string[]
    Fully qualified domain names
    groupId string
    The groupId to which the managed private endpoint is created
    privateLinkResourceId string
    The ARM resource ID of the resource to which the managed private endpoint is created
    is_reserved bool
    Denotes whether the managed private endpoint is reserved
    provisioning_state str
    The managed private endpoint provisioning state
    connection_state ConnectionStatePropertiesResponse
    The managed private endpoint connection state
    fqdns Sequence[str]
    Fully qualified domain names
    group_id str
    The groupId to which the managed private endpoint is created
    private_link_resource_id str
    The ARM resource ID of the resource to which the managed private endpoint is created
    isReserved Boolean
    Denotes whether the managed private endpoint is reserved
    provisioningState String
    The managed private endpoint provisioning state
    connectionState Property Map
    The managed private endpoint connection state
    fqdns List<String>
    Fully qualified domain names
    groupId String
    The groupId to which the managed private endpoint is created
    privateLinkResourceId String
    The ARM resource ID of the resource to which the managed private endpoint is created

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:datafactory:ManagedPrivateEndpoint exampleManagedPrivateEndpointName /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/managedVirtualNetworks/{managedVirtualNetworkName}/managedPrivateEndpoints/{managedPrivateEndpointName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.20.0
    published on Thursday, Jul 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial